package net.northking.cctp.upperComputer.driver.harmony.hdc;

public enum HDCConnectStatus {
    /**
     * 已断开连接
     */
    OFFLINE,

    /**
     * 已连接
     */
    CONNECTED,

    /**
     * 未知连接状态，需要程序补充
     */
    UNKNOWN;

    public static HDCConnectStatus getHDCConnectStatus(String status) {
        HDCConnectStatus hdcConnectStatus = null;
        switch (status.toUpperCase()) {
            case "OFFLINE" :
                hdcConnectStatus = OFFLINE;
                break;
            case "CONNECTED" :
                hdcConnectStatus = CONNECTED;
                break;
            default :
                hdcConnectStatus = UNKNOWN;
                break;
        };
        return hdcConnectStatus;
    }
}
